Bug 97157 - Particular XLS with macro/forms very slow to open
Summary: Particular XLS with macro/forms very slow to open
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: All Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:xls, perf, regression
: 123526 (view as bug list)
Depends on:
Blocks: XLS
  Show dependency treegraph
 
Reported: 2016-01-15 18:45 UTC by Timur
Modified: 2019-03-13 16:58 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
debug from procdump dump (15.43 KB, text/plain)
2016-11-28 11:28 UTC, Timur
Details
Formulario MSO fixed.xls (1.17 MB, application/xls)
2018-06-18 08:53 UTC, Timur
Details
Formulario MSO fixed.xlsm (177.50 KB, application/vnd.ms-excel.sheet.macroenabled.12)
2018-06-18 08:53 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2016-01-15 18:45:58 UTC
XLS attachment 121786 [details] from Bug 96952 cannot be open in 5.2+
Comment 1 m.a.riosv 2016-01-15 23:55:15 UTC
I can open.
Win10x64
Version: 5.2.0.0.alpha0+ Build ID: 22e5170af74c635cf55d089f97946b6dc86f82ad
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-01-05_23:41:26

If I'm not wrong the file has VBA macros, and LibreOffice has very limited compatibility for it.
Comment 2 Buovjaga 2016-01-21 14:14:26 UTC
Could open, said Syntax error for line
controle.Text = “

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 6b65a0e83c4798f117be61af91dbaebdc85e94b7
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-21_03:41:08
Locale: fi-FI (fi_FI)
Comment 3 Timur 2016-01-22 09:09:23 UTC
OK I can open with 2016-01-22 although it's very slow with "Not Responding" for a long time until I get Enable/Disable Macros (I have Security set to Medium).
If you can confirm please change the title. If you cannot please close the bug.
Comment 4 Buovjaga 2016-01-24 17:48:23 UTC
(In reply to Timur from comment #3)
> OK I can open with 2016-01-22 although it's very slow with "Not Responding"
> for a long time until I get Enable/Disable Macros (I have Security set to
> Medium).
> If you can confirm please change the title. If you cannot please close the
> bug.

It waited for about 20 seconds when I had security Medium. Is it longer for you?

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 6b65a0e83c4798f117be61af91dbaebdc85e94b7
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-21_03:41:08
Locale: fi-FI (fi_FI)
Comment 5 Timur 2016-01-25 07:56:12 UTC
It's 1:45-2:00 for 5.2+ and 5.1.0, and 0:06-0:15 for 5.0.4. I-7 processor.
Comment 6 Aron Budea 2016-11-24 05:31:54 UTC
Timur, could you give it a try again with 5.2.3.3 and 5.3beta1 (when it's out)?
Comment 7 Timur 2016-11-28 11:28:53 UTC
Created attachment 129070 [details]
debug from procdump dump

It's more than 2 minutes with 5.2.3.3 and master 5.4+. WindDbg is not useful. 
I got a dump with procdump and debug is attached.
Comment 8 Xisco Faulí 2017-03-08 10:24:29 UTC
40 seconds until the security dialog is prompted in

Versión: 5.3.1.1
Id. de compilación: 72fee18f394a980128dc111963f2eefb05998eeb
Subpr. de CPU: 1; SO: Windows 6.1; Repr. de IU: predet.; Motor de trazado: HarfBuzz; 
Configuración regional: es-ES (es_ES); Calc: group

Which is the behaviour in previous versions like 4.4, 4.0 or 3.3 ?
Comment 9 Timur 2017-03-08 16:37:39 UTC
(In reply to Xisco Faulí from comment #8)
> Which is the behavior in previous versions like 4.4, 4.0 or 3.3 ?
I already replied in Comment 5: "6-15 seconds for LO 5.0.4 with I-7 processor".
And 15 seconds for LO 4.4, 5 seconds or less with LO 3.3.
For me, new versions are slow. I can't figure out why, and why not for others.
Comment 10 tommy27 2017-08-03 13:50:57 UTC Comment hidden (obsolete)
Comment 11 tommy27 2017-08-03 14:04:54 UTC
LibO 6.0.0.0.alpha0+ *
opens the same file in 10 seconds too.

* Build ID: 9f61005dd9c4bf86e92e4c60677cf06a949a7af7
CPU threads: 8; OS: Windows 6.1; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-07-30_05:05:25
Locale: it-IT (it_IT); Calc: group
Comment 12 Timur 2017-08-04 06:59:59 UTC
(In reply to tommy27 from comment #10)
> @ Timur
> which is your latest performance with new releases?
Similar, minutes with 6.0+. 
No idea why it's so slow for me and not for others.
Please try procdump when opening this file.
Comment 13 Jean-Baptiste Faure 2018-06-17 17:06:30 UTC
No problem under Ubuntu with LO 6.0.4 from Ubuntu PPA. I get the macros warning in 2 seconds.

Best regards. JBF
Comment 14 Timur 2018-06-18 08:53:07 UTC
Created attachment 142838 [details]
Formulario MSO fixed.xls

JBF, thank you, this is Windows-only bug. 
Xisco, please set to New because, although we all have different times, they are long even for you. 
Syntax error from comment 2 doesn't affect loading time.
Comment 15 Timur 2018-06-18 08:53:48 UTC
Created attachment 142839 [details]
Formulario MSO fixed.xlsm

XLSX loading is faster but still 30 seconds for me.
Comment 16 Buovjaga 2019-03-05 20:34:49 UTC
*** Bug 123526 has been marked as a duplicate of this bug. ***
Comment 17 Buovjaga 2019-03-05 20:36:18 UTC
I bibisected the dupe:
Bibisected with win32-5.1 to https://gerrit.libreoffice.org/plugins/gitiles/core/+/59bdafe4c8faecfadde11ecdd5904e655918160a%5E!/
why bring ucb into the tempfile story when its always a file://
Comment 18 Caolán McNamara 2019-03-13 16:58:53 UTC
lets experiment and see if restoring this hunk makes a difference: https://gerrit.libreoffice.org/#/c/69215/